UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Newbie rickoco
Newbie
17,817 Views
Registered: ‎12-28-2015

GLIBCXX_3.4.20' not found

When lauching the SDK running on ubuntu 15.10 I get the following error...  Any suggestions?

 

****** Xilinx Software Development Kit
****** SDK v2015.4 (64-bit)
**** SW Build 1412921 on Wed Nov 18 09:44:32 MST 2015
** Copyright 1986-2015 Xilinx, Inc. All Rights Reserved.

Launching SDK with command /opt/Xilinx/SDK/2015.4/eclipse/lnx64.o/eclipse -vmargs -Xms64m -Xmx512m
/opt/Xilinx/SDK/2015.4/lib/lnx64.o/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/x86_64-linux-gnu/libproxy.so.1)
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiolibproxy.so

0 Kudos
7 Replies
Xilinx Employee
Xilinx Employee
17,783 Views
Registered: ‎08-02-2007

Re: GLIBCXX_3.4.20' not found

hi,

 

it looks that the supported ubuntu versions is Ubuntu Linux 14.04.2 LTS (64-bit)

 

can you please test this issue on a supported OS as given in page 14 of this document?

 

--hs

 

 

----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos
Xilinx Employee
Xilinx Employee
17,781 Views
Registered: ‎08-02-2007

Re: GLIBCXX_3.4.20' not found

hi,

 

can you also refer to this link? http://askubuntu.com/questions/575505/glibcxx-3-4-20-not-found-how-to-fix-this-error

 

--hs

----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos
Highlighted
Explorer
Explorer
13,097 Views
Registered: ‎11-21-2013

Re: GLIBCXX_3.4.20' not found

I have the same problem with SDK 16.2 on Ubuntu 16.04LTS, this solution solved my problem

cd SDK/2016.2/lib/lnx64.o/
sudo mv libstdc++.so.6 libstdc++.so.6.orig
sudo ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6  libstdc++.so.6

The original link is here:
http://askubuntu.com/questions/699440/version-glibcxx-3-4-20-not-found

 

PS: please try to avoid to answer people's question by asking them to try on a supported OS version. XILINX Tools are big and sometimes changing the OS in your working laptop is a bit hard

Visitor sampat76
Visitor
12,854 Views
Registered: ‎07-31-2016

Re: GLIBCXX_3.4.20' not found

The error is primarily due to missing libraries.

You can go over the following answer record to check the missing libraries:
https://www.xilinx.com/support/answers/66184.html

0 Kudos
Contributor
Contributor
4,600 Views
Registered: ‎04-03-2018

Re: GLIBCXX_3.4.20' not found

cd  Xilinx/Vivado/2017.4/ids_lite/ISE/lib/lin64
mv libstdc++.so.6 libstdc++.so.6.0.8
sudo ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21 libstdc++.so.6

0 Kudos
Moderator
Moderator
4,589 Views
Registered: ‎09-12-2007

Re: GLIBCXX_3.4.20' not found

Can this be marked as solved? Seeing a thread marked as solved will highlight this to other users seeing this issue
0 Kudos
Visitor jhgomez
Visitor
4,341 Views
Registered: ‎04-17-2018

Re: GLIBCXX_3.4.20' not found

Dear All,

I have a problem related to this topic

 

This is my error

 

Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/p4/SDNet/2017.4/lib/lnx64.o/librdi_ppp.so: /home/p4/Vivado/2016.4/lib/lnx64.o/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /home/p4/SDNet/2017.4/lib/lnx64.o/librdi_ppp.so)
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1854)
    at java.lang.Runtime.loadLibrary0(Runtime.java:870)
    at java.lang.System.loadLibrary(System.java:1122)
    at com.xilinx.ppp.Main.main(Unknown Source)
Makefile:64: recipe for target 'compile_no_cpp_test' failed
make: *** [compile_no_cpp_test] Error 1

 

 

I did what was recommended here, but now I get this:

 

sdnet forward.sdnet -busType axi -workDir Test
Xilinx SDNet Compiler version 2017.4, build 2093981

/home/p4/Xilinx/Vivado/2016.4/tps/lnx64/jre/bin/java: symbol lookup error: /home/p4/Xilinx/SDNet/2017.4/lib/lnx64.o/librdi_ppp.so: undefined symbol: _ZN6XilReg5Utils9GetRegKeyERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

 

Any ideas

 

Best Regards

 

Jorge Gomez

 

 

0 Kudos